/* css du formulaire */
*, ::before, ::after {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    align-items: center;
  }
  
  body {
    font-family: montserrat, arial verdana;
  }

  .logo{
     width: 200px;
    top: 0;
    left: 0;
    margin: 1% 0 0 2%;
  }

  .title{
    line-height: 200%;
    width: 50%;
    font-family: tahoma;
    margin-top: 3%;
    margin-left: 20%;
    top:0;
    left:0;
    display: flex;
    justify-content: center;
  }

  .container-form {
    width: 400px;
    margin: 50px auto;
    text-align: center;
    position: relative;
  }
  
  .container-form h1 {
    padding: 10px 0;
    text-align: center;
    border: black 1px;
  }
  

  .container-form .block-input {
    display: flex;
    flex-direction: column; /* Utilisez column pour aligner les éléments verticalement */
    width: 80%;
    height: auto;
    margin: 10px auto;
    align-items: stretch;
  }
  .container-form .block-input label {
    text-align: center;
    flex: 1; /* Pour permettre au label de prendre l'espace disponible */
    display: flex;
    justify-content: center;
    padding-bottom: 15px;
  }

  .container-form .block-input {
    flex-direction: column;
    display: flex;
    width: 50%;
    height: auto;
    margin: 10px auto;
    align-items: center;
  }

  .container-form .input-label {
      text-align: right;
      padding-right: 5px;
      width: 150%;
  }


  .container-form .checkbox-group {
    display: flex;
    align-items: center;
}

.container-form .checkbox-group label {
    margin-right: 10px;
}

.container-form .input_check {
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 10px;
    display: flex;
    width: 170%;
    justify-content: space-around;

}

.container-form .input_check input {
    line-height: 1.5;
    margin: 0;
}
  .container-form .block-input input,
  .container-form .block-input select {
      margin-top: 20px;
      padding: 5px;
      border: 1px solid #ccc;
      border-radius: 3px;
      margin-bottom: 10px;
      width: auto;
      box-sizing: border-box;
      color: #2C3E50;
      font-size: 13px;
      float: left;
  }

  .container-form .block-connecter {
    width: 80%;
    height: 40px;
    margin: 20px auto;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .container-form .block-connecter input {
    display: inline-block;
    width: 50%;
    height: 100%;
    border: 1px solid #97df07;
    border-radius: 5px;
    background-color: #97df07;
    outline: none;
    font-weight: 600;
    font-size: 25px;
    color: white;
    display: flex;
    align-content: center;
    justify-content: center;
  }
  .step {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbbbbb;
  border: none;
  border-radius: 50%;
  display: inline-block;
  opacity: 0.5;
  }
  .step.active {
  opacity: 1;
  }
  .step.finish {
  background-color: #04AA6D;
  }
  button {
  background-color: #27AE60;
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  font-size: 25px;
  cursor: pointer;
  border-radius: 10px;
  width: 100%;
}

button:hover {
  opacity: 0.8;
}

#prevBtn {
  width: 100px;
  background-color: #bbbbbb;
  font-weight: bold;
  color: white;
  border: 0 none;
  border-radius: 40px;
  cursor: pointer;
  padding: 10px;
  margin: 10px 5px;
  text-decoration: none;
  font-size: 14px;
}
#nextBtn{
  width: 100px;
  background: #27AE60;
  font-weight: bold;
  color: white;
  border: 0 none;
  border-radius: 40px;
  cursor: pointer;
  padding: 10px;
  margin: 10px 5px;
  text-decoration: none;
  font-size: 14px;
}
 .tab {
  background: white;
  border: 0 none;
  padding: 20px;
  box-sizing: border-box;
  display: none;

}
input.invalid {
  background-color: #ffdddd;
}
  .container-form button:hover, .container-form button:focus  {
   box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
  }
  .container-form .block-input button {
    background-color: #27AE60;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 1px;
    cursor: pointer;
    padding: 10px;
    margin: 10px auto; /* Modification pour centrer horizontalement */
    text-decoration: none;
    font-size: 20px;
    width: 70px;
    height: 40px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-radius: 10px
  }
  table {
    width: 80%; /* Ajustez la largeur selon vos besoins */
    margin: 0 auto; /* Ajoutez cette ligne pour centrer le tableau */
  }
  td {
    text-align: center;
    padding: 8px;
    justify-content: space-evenly;
    border-top: 1px solid #dddddd;
    border-right: 1px solid #dddddd;
  }
  td.Boutton{
    border-top: none;
    border-right: none;
  }
  #Modification {
    background-color: #003563;
    color: white;
    border: none;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 2px 2px;
    cursor: pointer;
  }
  .hide-column {
    display: none;
  }
  .container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    padding-left: 25%;
    padding-bottom: 10%;
  }
  textarea{
    font-size: 1.2em;
    font-family: montserrat, "arrial verdena";
    width: 170%;
    height: 150px;
    resize: none;
    border-color: #ccc;
  }
  .input-field textarea{
    font-size: 1.2em;
    font-family: montserrat, "arrial verdena";
    width: 340px;
    height: 100px;
    resize: none;
    border: 1px solid #ccc;
    border-radius: 3px;
  }
  th{
    font-weight: bold;
    color: #333;
    padding: 15px;
    text-align: left;
    border-bottom: 1px solid #ddd;

  }
  table{
    border-collapse: collapse;
    background-color: #fff;
    box-shadow: 0 2px 5px rgb(0 53 99 / 49%);
    overflow: hidden;
  }